use requestdb;

CREATE TABLE IF NOT EXISTS `archived_infra_requests` (
`REQUEST_ID` VARCHAR(45) NOT NULL,
`CLIENT_REQUEST_ID` VARCHAR(45) NULL DEFAULT NULL,
`ACTION` VARCHAR(45) NULL,
`REQUEST_STATUS` VARCHAR(20) NULL DEFAULT NULL,
`STATUS_MESSAGE` LONGTEXT NULL DEFAULT NULL,
`PROGRESS` BIGINT(20) NULL DEFAULT NULL,
`START_TIME` DATETIME NULL DEFAULT NULL,
`END_TIME` DATETIME NULL DEFAULT NULL,
`SOURCE` VARCHAR(45) NULL DEFAULT NULL,
`VNF_ID` VARCHAR(45) NULL DEFAULT NULL,
`VNF_NAME` VARCHAR(80) NULL DEFAULT NULL,
`VNF_TYPE` VARCHAR(200) NULL DEFAULT NULL,
`SERVICE_TYPE` VARCHAR(45) NULL DEFAULT NULL,
`AIC_NODE_CLLI` VARCHAR(11) NULL DEFAULT NULL,
`TENANT_ID` VARCHAR(45) NULL DEFAULT NULL,
`PROV_STATUS` VARCHAR(20) NULL DEFAULT NULL,
`VNF_PARAMS` LONGTEXT NULL DEFAULT NULL,
`VNF_OUTPUTS` LONGTEXT NULL DEFAULT NULL,
`REQUEST_BODY` LONGTEXT NULL DEFAULT NULL,
`RESPONSE_BODY` LONGTEXT NULL DEFAULT NULL,
`LAST_MODIFIED_BY` VARCHAR(100) NULL DEFAULT NULL,
`MODIFY_TIME` DATETIME NULL DEFAULT NULL,
`REQUEST_TYPE` VARCHAR(20) NULL DEFAULT NULL,
`VOLUME_GROUP_ID` VARCHAR(45) NULL DEFAULT NULL,
`VOLUME_GROUP_NAME` VARCHAR(45) NULL DEFAULT NULL,
`VF_MODULE_ID` VARCHAR(45) NULL DEFAULT NULL,
`VF_MODULE_NAME` VARCHAR(200) NULL DEFAULT NULL,
`VF_MODULE_MODEL_NAME` VARCHAR(200) NULL DEFAULT NULL,
`AAI_SERVICE_ID` VARCHAR(50) NULL DEFAULT NULL,
`AIC_CLOUD_REGION` VARCHAR(11) NULL DEFAULT NULL,
`CALLBACK_URL` VARCHAR(200) NULL DEFAULT NULL,
`CORRELATOR` VARCHAR(80) NULL DEFAULT NULL,
`NETWORK_ID` VARCHAR(45) NULL DEFAULT NULL,
`NETWORK_NAME` VARCHAR(80) NULL DEFAULT NULL,
`NETWORK_TYPE` VARCHAR(80) NULL DEFAULT NULL,
`REQUEST_SCOPE` VARCHAR(45) NOT NULL DEFAULT 'unknown',
`REQUEST_ACTION` VARCHAR(45) NOT NULL DEFAULT 'unknown',
`SERVICE_INSTANCE_ID` VARCHAR(45) NULL DEFAULT NULL,
`SERVICE_INSTANCE_NAME` VARCHAR(80) NULL DEFAULT NULL,
`REQUESTOR_ID` VARCHAR(50) NULL DEFAULT NULL,
`CONFIGURATION_ID` VARCHAR(45) NULL,
`CONFIGURATION_NAME` VARCHAR(200) NULL,
`OPERATIONAL_ENV_ID` VARCHAR(45) NULL,
`OPERATIONAL_ENV_NAME` VARCHAR(200) NULL,
PRIMARY KEY (`REQUEST_ID`),
UNIQUE INDEX `UK_client_request_id` (`CLIENT_REQUEST_ID` ASC))
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1;
